Subject: Vs: NIS2 registration
From: "Liina Lumiste" <[email-masked]>
To: <[email-masked]>
Date: Mon, 16 Mar 2026 16:26:23 +0200

Dear Tero Tammisalo,

Deadline for the NIS2 notification is 31 March.

The NIS2 notification can be submitted by a member of the management board
of the service provider in the entrepreneur’s view of the state portal
eesti.ee: eesti.ee > E-services > Cybersecurity (requires login, ID-Card,
Mobile-ID,EU eID or Smart-ID can be used).
The service provider shall submit at least the following information to
RIA:

*	name and registry code;
*	address of the place of business and up-to-date contact details,
including e-mail addresses, Internet Protocol address ranges and telephone
numbers;
*	where applicable, also the sector and subsector referred to in
Annex I or II to Directive (EU) 2022/2555 of the European Parliament and
of the Council.

I have provided respective information also to and am in contact with
Tanja Seppanänen from Paulig.
I hope this is of assistance.

With kind regards,

Liina Lumiste

Legal Advisor

[email-masked] <mailto:[email-masked]>

+372 55617734

Information System Authority

Pärnu mnt 139a, 15169 Tallinn

ria.ee

  _____

Saatja: Riigi Infosüsteemi Amet <[email-masked]>
Saadetud: esmaspäev, 16. märts 2026 13:59
Adressaat: Liina Lumiste <[email-masked]>
Teema: Ed: NIS2 registration

Saatja: Tero Tammisalo <[email-masked]>
Saatmisaeg: esmaspäev, 9. märts 2026 14:26
Adressaat: Riigi Infosüsteemi Amet <[email-masked]>
Teema: NIS2 registration

You don't often get email from [email-masked]
<mailto:[email-masked]> .
<https://aka.ms/LearnAboutSenderIdentification> Learn why this is
important

E-kiri saadeti väljastpoolt RIA-t. Kui Sa ei tunne saatjat, siis ära ava
linke ega manuseid!

Dear recipient,

Paulig has registered our relevant companies as NIS2 important entities in
those EU member states where we have food manufacturing and that has
already transposed NIS2 into its applicable legislation (Finland, Belgium,
Sweden), and where the other registration conditions of the local entity
(for example turnover, balance sheet) exceed the registration threshold.

Our cybersecurity is governed and managed on corporate level, from
headquarters in Finland, including the registration process.

However, as we are not aware of the current status of the law in Estonia,
we ask for your advise on the following topics:

*	Is a deadline for registration in Estonia already decided?
*	If so, is there a publicly available link to a website / portal
that can be used to complete the registration?
*	Are there other practical aspects that need to be taken care of,
such as “the person completing the registration must have Estonian
citizenship or a valid e-ID”?
*	Are there anything else that we should consider?

Thanks very much in advance!

Best regards,

Tero Tammisalo
CISO / Privacy Officer

Mob +358 40 555 8588

Paulig
Satamakaari 20

FI-00980 Helsinki, Finland
pauliggroup.com